Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1501895 - Missing entries in Alert Profile assigning dropdown
Summary: Missing entries in Alert Profile assigning dropdown
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: All
OS: All
medium
high
Target Milestone: GA
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: Dmitry Misharov
URL:
Whiteboard: control:alert:ui
Depends On:
Blocks: 1514271
TreeView+ depends on / blocked
 
Reported: 2017-10-13 12:37 UTC by Dmitry Misharov
Modified: 2018-06-21 20:24 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1514271 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:24:58 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the bug (deleted)
2017-10-13 12:37 UTC, Dmitry Misharov
no flags Details

Description Dmitry Misharov 2017-10-13 12:37:13 UTC
Created attachment 1338227 [details]
Screenshot of the bug

Description of problem:


Version-Release number of selected component (if applicable):
5.9.0.2.20171010190026_0413a06

How reproducible:
Always

Steps to Reproduce:
1. Navigate to Control/Explorer.
2. Expand Alert Profiles accordion.
3. Create a Vm and Instance Alert Profile.
4. Assign some police.
5. Click Configuration/Edit assignments for this Alert Profile.
6. Open "Assign To" dropdown.

Actual results:
There are missing entries like: "The Enterprise", "Selected Cluster / Deployment Roles", "Selected Host / Nodes" and so on.

Expected results:
Missing entries should be presented

Comment 4 CFME Bot 2017-11-16 16:08:46 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/fe755bc985072c7799d674bdd648ae2cf2f30f1b

commit fe755bc985072c7799d674bdd648ae2cf2f30f1b
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Nov 15 18:31:39 2017 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Nov 15 18:57:11 2017 -0500

    Fixed "ASSIGN_TOS" hash to merge other values into it appropriately
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1501895

 app/helpers/term_of_service_helper.rb       |  5 +++++
 spec/helpers/term_of_service_helper_spec.rb | 21 +++++++++++++++++++++
 2 files changed, 26 insertions(+)
 create mode 100644 spec/helpers/term_of_service_helper_spec.rb


Note You need to log in before you can comment on or make changes to this bug.